Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1087923003: Indexed DB: Adopt BufferSource model for binary keys (Closed)

Created:
5 years, 9 months ago by jsbell
Modified:
5 years, 8 months ago
Reviewers:
haraken, cmumford, bashi
CC:
cmumford, arv+blink, blink-reviews, blink-reviews-bindings_chromium.org, dgrogan, jsbell+idb_chromium.org, vivekg_samsung, vivekg
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Indexed DB: Adopt BufferSource model for binary keys An experimental feature adds support for "binary" key types to IDB. Previously these were restricted to Uint8Arrays in/out. Since then the spec world has semi-converged on BufferSource as an input type (typedef for ArrayBuffer or ArrayBufferView) and returning raw ArrayBuffers rather than a specific view type. After further discussions with Mozilla, adopt the BufferSource model for IDB binary keys. Draft spec: https://w3c.github.io/IndexedDB/#key-construct Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=196017

Patch Set 1 #

Total comments: 8

Patch Set 2 : Comment tweaks #

Patch Set 3 : Update test's shared lib usage #

Unified diffs Side-by-side diffs Delta from patch set Stats (+119 lines, -228 lines) Patch
M LayoutTests/storage/indexeddb/key-type-binary.html View 1 2 1 chunk +98 lines, -3 lines 0 comments Download
D LayoutTests/storage/indexeddb/key-type-binary-expected.txt View 1 chunk +0 lines, -132 lines 0 comments Download
D LayoutTests/storage/indexeddb/resources/key-type-binary.js View 1 chunk +0 lines, -85 lines 0 comments Download
M Source/bindings/modules/v8/V8BindingForModules.cpp View 1 4 chunks +21 lines, -8 lines 0 comments Download

Messages

Total messages: 12 (4 generated)
jsbell
cmumford@, bashi@ - please take a look? Discussion is taking place in: https://www.w3.org/Bugs/Public/show_bug.cgi?id=23332 This is ...
5 years, 9 months ago (2015-04-23 16:04:52 UTC) #2
bashi
LGTM but cmumford@ should confirm.
5 years, 9 months ago (2015-04-24 00:40:07 UTC) #3
haraken
bindings/ LGTM
5 years, 9 months ago (2015-04-24 04:57:31 UTC) #4
cmumford
lgtm % nits. https://codereview.chromium.org/1087923003/diff/1/LayoutTests/storage/indexeddb/key-type-binary.html File LayoutTests/storage/indexeddb/key-type-binary.html (right): https://codereview.chromium.org/1087923003/diff/1/LayoutTests/storage/indexeddb/key-type-binary.html#newcode11 LayoutTests/storage/indexeddb/key-type-binary.html:11: assert_equals(indexedDB.cmp(a, a), 0, message); expected is ...
5 years, 9 months ago (2015-04-27 17:14:23 UTC) #6
jsbell
Did I misunderstand the param ordering feedback or is one of us mis-reading? https://codereview.chromium.org/1087923003/diff/1/LayoutTests/storage/indexeddb/key-type-binary.html File ...
5 years, 9 months ago (2015-04-27 22:39:48 UTC) #7
cmumford
https://codereview.chromium.org/1087923003/diff/1/LayoutTests/storage/indexeddb/key-type-binary.html File LayoutTests/storage/indexeddb/key-type-binary.html (right): https://codereview.chromium.org/1087923003/diff/1/LayoutTests/storage/indexeddb/key-type-binary.html#newcode11 LayoutTests/storage/indexeddb/key-type-binary.html:11: assert_equals(indexedDB.cmp(a, a), 0, message); On 2015/04/27 at 22:39:47, jsbell ...
5 years, 9 months ago (2015-04-27 22:44:23 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1087923003/40001
5 years, 8 months ago (2015-05-27 22:00:04 UTC) #11
commit-bot: I haz the power
5 years, 8 months ago (2015-05-27 23:16:39 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=196017

Powered by Google App Engine
This is Rietveld 408576698